/* MRController */

#import <Cocoa/Cocoa.h>

@interface MRController : NSObject {
    IBOutlet id bezelView;
    IBOutlet id eventView;
    IBOutlet id infoView;
    IBOutlet id prefsWindow;
    IBOutlet id theWindow;
	
    IBOutlet id displayOverlayCheckbox;
    IBOutlet id overlayColor;
    IBOutlet id overlayTransparency;
	
	NSAppleScript* prevTrackScript;
	NSAppleScript* playPauseScript;
	NSAppleScript* nextTrackScript;
	NSAppleScript* volumeDownScript;
	NSAppleScript* volumeUpScript;
	NSAppleScript* currentTrackIDScript;
	
	SInt32 currentTrackID;
}

+ (id)instance;

- (void)nextTrack;
- (void)playPause;
- (void)positionMainWindow;
- (void)prevTrack;
- (void)volumeDown;
- (void)volumeUp;

- (IBAction)displayPrefs:(id)sender;
- (IBAction)savePrefs:(id)sender;

@end
